%define gcj_support	1

Name:		pdftk
Version:	2.02
Release:	%mkrel 1
Summary:	PDF Tool Kit
License:	GPLv2+
Group:		Publishing
URL:		https://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/
Source0:	https://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/%{name}-%{version}-src.zip
# since the gcj version is hardcoded in this patch, don't forget to updated it
# when gcc is updated, current version is 4.9.2
Patch0:		pdftk-1.44-makefile-fix.patch
BuildRequires:	gcc-java
BuildRequires:	libgcj-devel
BuildRequires:	unzip
BuildRequires:	fastjar
BuildRequires:	dos2unix

Requires:	bouncycastle

%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:
- Merge PDF Documents
- Split PDF Pages into a New Document
- Decrypt Input as Necessary (Password Required)
- Encrypt Output as Desired
- Fill PDF Forms with FDF Data and/or Flatten Forms
- Apply a Background Watermark
- Report on PDF Metrics, including Metadata and Bookmarks
- Update PDF Metadata
- Attach Files to PDF Pages or the PDF Document
- Unpack PDF Attachments
- Burst a PDF Document into Single Pages
- Uncompress and Re-Compress Page Streams
- Repair Corrupted PDF (Where Possible)

%prep
%setup -q -n %{name}-%{version}-dist
%patch0 -p0 -b .makefix

dos2unix changelog.txt pdftk.1.txt

chmod 0644 pdftk.1.html pdftk.1.txt changelog.txt

GCC_VERSION=$(gcc -dumpversion)
sed -i s/'^export VERSUFF=$'/"export VERSUFF=-${GCC_VERSION}"/ pdftk/Makefile.Redhat

%build
pushd pdftk
	GCJFLAGS="%{optflags} -I`pwd`/../java -Wno-all" make -f Makefile.Redhat
popd

%install
install -Dpm 0755 pdftk/pdftk %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 pdftk.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc pdftk.1.html pdftk.1.txt changelog.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jul 18 2015 daviddavid <daviddavid> 2.02-1.mga6
+ Revision: 855107
- new version: 2.02
- update URL and Source URL
- fix permissions of the doc files

  + cjw <cjw>
    - use gcc -dumpversion instead of --version
    - fix build (gcc version in makefile and gcj build dependency)

* Mon Jun 09 2014 tmb <tmb> 2.01-4.mga5
+ Revision: 635214
- fix path to libgcj
- rebuild for new libgcj

* Sat Oct 19 2013 umeabot <umeabot> 2.01-3.mga4
+ Revision: 531928
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 tmb <tmb> 2.01-2.mga4
+ Revision: 465789
- rebuild for new gcc

* Sat Jul 06 2013 wally <wally> 2.01-1.mga4
+ Revision: 450559
- new version 2.01
- clean .spec a bit

* Thu May 23 2013 wally <wally> 1.45-1.mga4
+ Revision: 425114
- new version 1.45
- fix URL
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 1.44-8.mga3
+ Revision: 362688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix build with new gcc

* Sun Jul 15 2012 fwang <fwang> 1.44-6.mga3
+ Revision: 270970
- specify gcj dir
- rebuild for new gcj

* Thu Dec 08 2011 dmorgan <dmorgan> 1.44-5.mga2
+ Revision: 178810
- Fix gcj include path
- Rebuild against gcc 4.6.2

* Sun Feb 27 2011 ahmad <ahmad> 1.44-4.mga1
+ Revision: 61262
- edit the makefile patch to work with libgcj 4.5.2

  + supp <supp>
    - imported package pdftk


* Sun Dec 19 2010 Tomas Kindl <supp@mandriva.org> 1.44-3mdv2011.0
+ Revision: 623103
- update for GCC 4.5
- fix buildrequires
- update to 1.44, drop unneeded patches

* Wed Aug 25 2010 Funda Wang <fwang@mandriva.org> 1.41-10mdv2011.0
+ Revision: 573211
- rebuild for new gcc

* Tue Oct 20 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.41-9mdv2010.0
+ Revision: 458430
- Add bouncycastle as BR (fix bug #54738)

* Sat Sep 26 2009 Michael Scherer <misc@mandriva.org> 1.41-8mdv2010.0
+ Revision: 449472
- rebuild for bug 48880
- fix license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + David Walluck <walluck@mandriva.org>
    - clean up build
    - BuildRequires: java-devel-gcj
    - fix build
    - bump release for build system bug
    - change BuildRequires
    - fix BuildRequires
    - fix URL and Source0 URL
    - patch for new gcj

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.41-3mdv2008.1
+ Revision: 136654
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.41-3mdv2008.0
+ Revision: 83393
- and make it buildable too
- Make the package submitable
- rebuild
- rebuild


* Tue Dec 19 2006 Lev Givon <lev@mandriva.org> 1.41-1mdv2007.0
+ Revision: 100300
- Import pdftk

